Bug 11414 - Marc modification template limitations should alert the user
Summary: Marc modification template limitations should alert the user
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: 3.14
Hardware: All All
: P5 - low critical (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-18 11:22 UTC by Jonathan Druart
Modified: 2019-06-27 09:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11414: Marc modification template limitations should alert the user (2.33 KB, patch)
2013-12-18 11:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11414: Marc modification template limitations should alert the user (2.39 KB, patch)
2013-12-20 20:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 11414: Marc modification template limitations should alert the user (2.57 KB, patch)
2013-12-21 10:09 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2013-12-18 11:22:16 UTC
Bug 11413 fixes a bug for the Marc modification template tool but will not be available for 3.14.x branches (maybe never).
The limitation could cause lost of data.

The user should be alerted on the interface.
Comment 1 Jonathan Druart 2013-12-18 11:25:39 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2013-12-20 20:12:59 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-12-21 10:09:25 UTC
Created attachment 23743 [details] [review]
[PASSED QA] Bug 11414: Marc modification template limitations should alert the user

Test plan:
On the Marc modification tool:
add/edit a new action on a field and define a condition on the same
field.
Verify that you get a warning message in red.

see bug 11413 for more information

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes all tests and QA script.
Tested adding and editing a template with the same field in the
action and the condition.
Comment 4 Galen Charlton 2013-12-23 16:11:20 UTC
Pushed to master.  Thanks, Jonathan!
Comment 5 Fridolin Somers 2013-12-24 13:39:09 UTC
Patch pushed to 3.14.x, will be in 3.14.2